MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023279Community[OCCT] OCCT:Foundation Classespublic2012-07-13 18:122012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023279: Accessing NULL pointer
DescriptionIn Standard.cxx, lines 111-112

if ( ! myFMMgr ) {
    myFMMgr->Purge(Standard_True);
}

the 'Purge' method will be called only if 'myFMMgr' is 'NULL'.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020971)
Pawel (developer)
2012-07-13 18:15

Corresponding git branch pushed. Please review.
(0020976)
abv (manager)
2012-07-13 19:01

Wow! No remarks, please test
(0021000)
apn (administrator)
2012-07-17 11:27

Dear BugMaster,
The workbenches
KAS:dev:mkv-23279-occt (GIT branch CR23279)
KAS:dev:mkv-23279-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
chl 922 R3
chl 934 P9

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23279-products_16072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master 207e57e4
Timestamp: 2012-07-13 14:14:38
Author: Pawel
Details ] Diff ]
0023279: Accessing NULL pointer

Assuring the pointer is not 'NULL'.
mod - src/Standard/Standard.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-13 18:12 Pawel New Issue
2012-07-13 18:12 Pawel Assigned To => Pawel
2012-07-13 18:15 Pawel Note Added: 0020971
2012-07-13 18:15 Pawel Assigned To Pawel => bugmaster
2012-07-13 18:15 Pawel Status new => resolved
2012-07-13 19:01 abv Note Added: 0020976
2012-07-13 19:01 abv Status resolved => reviewed
2012-07-16 13:27 mkv Assigned To bugmaster => mkv
2012-07-17 11:27 apn Note Added: 0021000
2012-07-17 11:28 apn Test case number => Not needed
2012-07-17 11:28 apn Assigned To mkv => bugmaster
2012-07-17 11:28 apn Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master 207e57e4
2012-07-23 12:21 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:21 Pawel Status tested => verified
2012-07-23 12:21 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker